oce.as.POSIXlt {oce} | R Documentation

## More general form of as.POSIXlt

### Description

A more general form of as.POSIXlt.

### Usage

    oce.as.POSIXlt(x, tz = "")

### Arguments

`x` | a date, as for `as.POSIXlt`, but also including forms in which the month name appears.
`tz` | the timezone, as for `as.POSIXlt`

### Details

Used in parsing headers, this function is built on the standard `as.POSIXlt` function. the only difference is that this also recognizes dates of forms such as `"2002 100 1430"` (year day hhmm), `"Aug 23 2002"`, `"August 23 2002"`, `"2002 Aug 23"`, and `"2002 23 Aug"`. (The month may appear in abbreviated form or written in full, and may be capitalized or not.)

### Value

A POSIXlt object.

### Author(s)

Dan Kelley

### See Also

`as.POSIXlt`, from which this is derived.

[Package oce version 0.9-18 Index]